Subject: Re: bug#15382: desktop restores buffers in wrong order

From: Juri Linkov <[email-masked]>
Date: Mon, 16 Dec 2013 23:05:19 +0200

>>>             (unless (desktop-restoring-frameset-p)
>
>> It seems these conditions were intended only for multi-frame case.
>
> Why do you think so?

Because I see no other explanation.  This was added by your revno:113483

2013-07-21  Juanma Barranquero  <[email-masked]>

	* desktop.el (desktop-saved-frame-states):
        ...
	(desktop-read): Use desktop-restoring-frames-p.  Do not try to fix
	buffer-lists when restoring frames.  Suggested by Martin Rudalics.

Maybe Martin knows the purpose of not fixing buffer-lists in desktop-read?